from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XIndexEntrySupplier(XInterface, Protocol):
    def getIndexCharacter(self, aIndexEntry: str, aLocale: Locale, aSortAlgorithm: str) -> str: ...
    def getIndexFollowPageWord(self, bMorePages: bool, aLocale: Locale) -> str: ...
